Bug 667261 (CVE-2011-0001) - CVE-2011-0001 scsi-target-utils: double-free vulnerability leads to pre-authenticated crash
Summary: CVE-2011-0001 scsi-target-utils: double-free vulnerability leads to pre-authe...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0001
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 667803 667804 667805 667987 667988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 00:03 UTC by Vincent Danen
Modified: 2019-09-29 12:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 09:30:21 UTC


Attachments (Terms of Use)
fix the buffer overflow bug before iscsi login (1.34 KB, patch)
2011-01-17 08:42 UTC, fujita.tomonori
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0332 normal SHIPPED_LIVE Important: scsi-target-utils security update 2011-03-09 18:35:35 UTC

Description Vincent Danen 2011-01-05 00:03:50 UTC
Emmanuel Bouillon reported a double-free flaw in scsi-target-utils that could cause the tgtd daemon to crash with memory corruption on receipt of certain network traffic, leading to a denial of service condition.

Acknowledgements:

Red Hat would like to thank Emmanuel Bouillon of NATO C3 Agency for reporting this issue.

Comment 2 Vincent Danen 2011-01-05 17:14:40 UTC
Adding upstream; have forwarded to him the details.

Comment 4 fujita.tomonori 2011-01-17 08:42:40 UTC
Created attachment 473779 [details]
fix the buffer overflow bug before iscsi login

Comment 5 Josh Bressers 2011-01-17 18:40:01 UTC
I can confirm this patch fixes the problem.

Comment 6 Barry Donahue 2011-01-24 19:10:29 UTC
Verified for async errata.

Comment 7 Josh Bressers 2011-03-01 15:04:31 UTC
Did this fix ever make it upstream? My records show it's still embargoed.

Comment 8 fujita.tomonori 2011-03-04 01:38:35 UTC
Can I merge this fix into the public tree? I've been waiting for someone at RedHat to let me know the day when I can make this public.

Comment 9 Vincent Danen 2011-03-04 02:12:49 UTC
An unembargo date was never negotiated as far as I can recall.  Perhaps we could set a date for next week, perhaps Wednesday or Thursday (the 9th or 10th)?

Comment 10 fujita.tomonori 2011-03-04 02:18:16 UTC
Either is fine by me

Comment 11 manu 2011-03-05 17:08:39 UTC
Dear all,
If you ever happen to include an acknowledgement, please also mention my employer: NATO C3 Agency.
B.R. Emmanuel Bouillon

Comment 12 Vincent Danen 2011-03-07 19:10:13 UTC
(In reply to comment #11)
> If you ever happen to include an acknowledgement, please also mention my
> employer: NATO C3 Agency.

Thank you for that, we will certainly do so.

In terms of disclosure, let's make it for this coming Wednesday (March 9th) at 14:00 EST.  Does that sound good?

Comment 13 fujita.tomonori 2011-03-07 23:32:49 UTC
Sounds good to me. I'll merge the fix into the public git tree after the time.

Comment 14 Vincent Danen 2011-03-08 15:37:29 UTC
Perfect.  Thank you!

Comment 15 Vincent Danen 2011-03-09 18:22:50 UTC
This is now public, so upstream merges can take place any time now:

http://svn.debian.org/wsvn/kernel/dists/trunk/tgt/debian/patches/CVE-2011-0001

Comment 16 errata-xmlrpc 2011-03-09 18:35:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0332 https://rhn.redhat.com/errata/RHSA-2011-0332.html


Note You need to log in before you can comment on or make changes to this bug.